Live Yahoo Organic SERP Regular

Live Yahoo SERP provides real-time data on search engine results for the specified keyword, search engine, and location.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
urlstring

direct URL of the search query
optional field
you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.
example:
https://search.yahoo.com/search?p=rank+checker&n=100&vl=lang_en&vc=us&ei=UTF-8

keywordstring

keyword
required field
you can specify up to 700 characters in the keyword field
all %## will be decoded (plus character '+' will be decoded to a space character)
if you need to use the "%" character for your keyword, please specify it as "%25";
if you need to use the “+” character for your keyword, please specify it as “%2B”

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_namestring

full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/serp/yahoo/locations
example:
London,England,United Kingdom

location_codeinteger

search engine location code
required field if you don't specify location_name_or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations of the search engines with their location_code by making a separate request to the https://api.dataforseo.com/v3/serp/yahoo/locations
example:
2840n

location_coordinatestring

GPS coordinates of a location
required field if you don't specify location_name_or location_code
if you use this field, you don't need to specify location_name or location_code
location_coordinate parameter should be specified in the "latitude,longitude,radius" format
the maximum number of decimal digits for "latitude" and "longitude": 7
the minimum value for "radius": 199.9 (mm)
the maximum value for "radius": 199999 (mm)
example:
53.476225,-2.243572,200n

language_namestring

full name of search engine language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/serp/yahoo/languages
example:
English

language_codestring

search engine language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available languages of the search engine with their language_code_by making a separate request to the https://api.dataforseo.com/v3/serp/yahoo/languages
example:
enn

devicestring

device type
optional field
can take the values:desktop, mobile
default value: desktop

osstring

device operating system
optional field
if you specify desktop in the device field, choose from the following values: windows, macos
default value: windows
if you specify mobile in the device field, choose from the following values: android, ios
default value: android

se_domainstring

search engine domain
optional field
we choose the relevant search engine domain automatically according to the location and language you specify
however, you can set a custom search engine domain in this field
example:
au.search.yahoo.com, uk.search.yahoo.com, ca.search.yahoo.com, etc.

depthinteger

parsing depth
optional field
number of results in SERP
default value: 6
max value: 200
Your account will be billed per each SERP;
Each Yahoo SERP can contain fewer than 10 results, so setting depth above the default value may result in additional charges ;
The cost can be calculated on the Pricing page.

max_crawl_pagesinteger

page crawl limit
optional field
number of search results pages to crawl
default value: 1
max value: 100
Note: the max_crawl_pages and depth parameters complement each other;
learn more at our help center

targetstring

target domain, subdomain, or webpage to get results for
optional field
a domain or a subdomain should be specified without https:// and www.
note that the results of target-specific tasks will only include SERP elements that contain a url string;
you can also use a wildcard (‘’) character to specify the search pattern in SERP and narrow down the results;
examples:
example.com - returns results for the website's home page with URLs, such as https://example.com, or https://www.example.com/, or https://example.com/;
example.com
- returns results for the domain, including all its pages;
example.com - returns results for the entire domain, including all its pages and subdomains;
example.com - returns results for the home page regardless of the subdomain, such as https://en.example.com;
example.com/example-page - returns results for the exact URL;
example.com/example-page
- returns results for all domain's URLs that start with the specified string

search_paramstring

additional parameters of the search query
optional field
get the list of available parameters and additional details here

stop_crawl_on_matcharray

array of targets to stop crawling
optional field
specified as an array of target objects
each target object consists of one match_type field and one match_value field
you can specify up to 10 target objects in this array
if specified, the response will contain SERP results up to and including the specified match_value;
example:
"stop_crawl_on_match":[{"match_value":"dataforseo.com","match_type":"with_subdomains"}]
learn more about this parameter on our Help Center
Your account will be billed for every SERP crawled until the conditions you specified in this array are met

    match_valuestring

target domain, subdomain, or wildcard value
required field if stop_crawl_on_match is specified;
required field if stop_crawl_on_match is specified
specify a target domain, subdomain, or wildcard value;
Note: domain or subdomain must be specified without a request protocol;
example: "match_value": "dataforseo.com",
"match_value": "/blog/post-*"

    match_typestring

target match type
required field if stop_crawl_on_match is specified
type of match for the match_value
possible values:
domain – specific domain or subdomain
with_subdomains – main domain and subdomains
wildcard – wildcard pattern

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

keyword received in a POST array
keyword is returned with decoded %## (plus character '+' will be decoded to a space character)

        typestring

search engine type in a POST array

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
You can use it to make sure that we provided exact results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        spellobject

autocorrection of the search engine
if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection

            keywordstring

keyword obtained as a result of search engine autocorrection
the results will be provided for the corrected keyword

            typestring

type of autocorrection
possible values:
including_results_for

        refinement_chipsobject

search refinement chips
equals null

        item_typesarray

types of search results found in SERP
contains types of all search results (items) found in the returned SERP
possible item types:
featured_snippet, images, local_pack, hotels_pack, organic, paid, people_also_ask, related_searches, shopping, recipes, top_stories, video, ai_overview;
note that this array contains all types of search results found in the returned SERP;
however, this endpoint provides data for organic, paid, and featured_snippet types only;
to get all items (including SERP features and rich snippets) found in the returned SERP, please refer to the Yahoo Organiс Advanced SERP endpoint

        se_results_countinteger

total number of results in SERP

        pages_countinteger

total pages retrieved
total number of retrieved SERPs in the result

        items_countinteger

the number of results returned in the items array

        itemsarray

items in SERP

        organic_element_in_serpobject
            typestring

type of element='organic'n

            rank_groupinteger

group rank in SERP
position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank in SERP
absolute position among all the elements in SERP

            pageinteger

search results page number
indicates the number of the SERP page on which the element is located

            domainstring

domain in SERP

            titlestring

title of the result in SERP

            descriptionstring

description of the results element in SERP

            urlstring

relevant URL in SERP

            breadcrumbstring

breadcrumb in SERP


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/yahoo/organic/live/regular" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
	"language_code" => "en",
	"location_code" => 2840,
	"keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
try {
	// POST /v3/serp/yahoo/organic/live/regular
	// in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$result = $client->post('/v3/serp/yahoo/organic/live/regular', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/yahoo/organic/live/regular',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword": encodeURI("albert einstein"),
        "language_code": "en",
        "location_code": 2840
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    language_code="en",
    location_code=2840,
    keyword="albert einstein"
)
# POST /v3/serp/yahoo/organic/live/regular
# in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/yahoo/organic/live/regular", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_regular()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                language_code = "en",
                location_code = 2840,
                keyword = "albert einstein"
            });
            // POST /v3/serp/yahoo/organic/live/regular
            // in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/yahoo/organic/live/regular", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20200129",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.3059 sec.",
  "cost": 0.003,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "11151456-0696-0066-0000-002a5915da37",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0952 sec.",
      "cost": 0.003,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "yahoo",
        "organic",
        "live",
        "regular"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "yahoo",
        "se_type": "organic",
        "language_code": "en",
        "location_code": 2840,
        "keyword": "flight ticket new york san francisco",
        "tag": "tag1",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "flight ticket new york san francisco",
          "type": "organic",
          "se_domain": "yahoo.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://www.yahoo.com/search?q=flight%20ticket%20new%20york%20san%20francisco&num=100&hl=en&gl=US&gws_rd=cr&ie=UTF-8&oe=UTF-8&uule=w+CAIQIFISCQs2MuSEtepUEUK33kOSuTsc",
          "datetime": "2019-11-15 12:57:46 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "organic"
          ],
          "se_results_count": 85600000,
          "pages_count": 1,
          "items_count": 96,
          "items": [
            {
              "type": "organic",
              "rank_group": 1,
              "rank_absolute": 5,
              "page": 1,
              "domain": "www.kayak.com",
              "title": "Cheap Flights from New York to San Francisco from $182 ...",
              "description": "Fly from New York to San Francisco on Frontier from $182, United Airlines from ... the cheapest round-trip tickets were found on Frontier ($182), United Airlines ...",
              "url": "https://www.kayak.com/flight-routes/New-York-NYC/San-Francisco-SFO",
              "breadcrumb": "https://www.kayak.com › Flights › North America › United States › California"
            },
            {
              "type": "organic",
              "rank_group": 2,
              "rank_absolute": 6,
              "page": 1,
              "domain": "www.skyscanner.com",
              "title": "Cheap flights from New York to San Francisco SFO from $123 ...",
              "description": "Flight information New York to San Francisco International .... tool will help you find the cheapest tickets from New York in San Francisco in just a few clicks.",
              "url": "https://www.skyscanner.com/routes/nyca/sfo/new-york-to-san-francisco-international.html",
              "breadcrumb": "https://www.skyscanner.com › United States › New York"
            },
            {
              "type": "organic",
              "rank_group": 3,
              "rank_absolute": 7,
              "page": 1,
              "domain": "www.expedia.com",
              "title": "JFK to SFO: Flights from New York to San Francisco for 2019 ...",
              "description": "Book your New York (JFK) to San Francisco (SFO) flight with our Best Price ... How much is a plane ticket to San Francisco (SFO) from New York (JFK)?.",
              "url": "https://www.expedia.com/lp/flights/jfk/sfo/new-york-to-san-francisco",
              "breadcrumb": "https://www.expedia.com › flights › jfk › sfo › new-york-to-san-francisco"
            },
            {
              "type": "organic",
              "rank_group": 94,
              "rank_absolute": 97,
              "page": 10,
              "domain": "www.ethiopianairlines.com",
              "title": "Ethiopian Airlines | Book your next flight online and Fly Ethiopian",
              "description": "Fly to your Favorite International Destination with Ethiopian Airlines. Book your Flights Online for Best Offers/Discounts and Enjoy African Flavored Hospitality.",
              "url": "https://www.ethiopianairlines.com/",
              "breadcrumb": "https://www.ethiopianairlines.com"
            },
            {
              "type": "organic",
              "rank_group": 95,
              "rank_absolute": 98,
              "page": 10,
              "domain": "www.vietnamairlines.com",
              "title": "Vietnam Airlines | Reach Further | Official website",
              "description": "Great value fares with Vietnam Airlines. Book today and save! Skytrax – 4 Star airline. Official website. Earn frequent flyer miles with Lotusmiles.",
              "url": "https://www.vietnamairlines.com/",
              "breadcrumb": "https://www.vietnamairlines.com"
            },
            {
              "type": "organic",
              "rank_group": 96,
              "rank_absolute": 99,
              "page": 10,
              "domain": "books.google.com",
              "title": "Code of Federal Regulations: 1985-1999",
              "description": "A purchases in New York a round-trip ticket for transportation by air from New York to ... B purchases a ticket in San Francisco for Combination rail and water ...",
              "url": "https://books.google.com/books?id=av3umFsqbAEC&pg=PA305&lpg=PA305&dq=flight+ticket+new+york+san+francisco&source=bl&ots=fJJY5RUS9l&sig=ACfU3U16ejUqNf23jHD32QNCxDCa05Vn9g&hl=en&ppis=_e&sa=X&ved=2ahUKEwjs_4OnouzlAhXJ4zgGHeBcD3oQ6AEwdXoECHEQAQ",
              "breadcrumb": "https://books.google.com › books"
            }
          ]
        }
      ]
    }
  ]
}